Domains
Manage sending domains for your organization. Verify domain ownership via DNS to unlock full deliverability insights.
Register a new domain for deliverability testing. Returns a verification token to add as a DNS TXT record.
Request Bodyrequired
domainstringrequiredThe domain to register (e.g., yourcompany.com)
Response
idstringUnique domain identifier (dom_xxx)
objectstringAlways 'domain'
domainstringThe registered domain
verifiedbooleanWhether domain is verified
verification_tokenstringToken for DNS verification
created_atstring<date-time>livemodebooleanExample Request
curl -X POST https://api.reachscore.co/v1/domains \
-H "Authorization: Bearer rk_live_xxx" \
-H "Content-Type: application/json" \
-d '{"domain": "yourcompany.com"}'Example Response
{
"id": "dom_3yH8kL2nP5qR",
"object": "domain",
"domain": "yourcompany.com",
"verified": false,
"verification_token": "reachscore-verify=abc123xyz",
"health_score": null,
"monitoring_enabled": false,
"created_at": "2026-03-11T10:30:00Z",
"livemode": true
}Diagnostics
Run comprehensive domain health checks without registering a domain.
Comprehensive domain health check including SPF, DKIM, DMARC, MX records, and blocklist status. Can be used without authentication for basic checks.
Request Bodyrequired
domainstringrequiredDomain to diagnose
fromstring<email>Email address (domain will be extracted)
Response
idstringdomainstringspfobjectSPF record analysis
dkimobjectDKIM configuration analysis
dmarcobjectDMARC policy analysis
mxobjectMX record analysis
blocklistsobjectBlocklist check results
recommendationsarraySuggested improvements
Example Request
curl -X POST https://api.reachscore.co/v1/diagnose \
-H "Content-Type: application/json" \
-d '{"domain": "yourcompany.com"}'Example Response
{
"id": "diag_abc123",
"domain": "yourcompany.com",
"spf": {
"status": "pass",
"record": "v=spf1 include:_spf.google.com ~all"
},
"dkim": {
"status": "pass",
"selectors": ["google", "default"]
},
"dmarc": {
"status": "pass",
"policy": "quarantine",
"record": "v=DMARC1; p=quarantine; rua=mailto:dmarc@yourcompany.com"
},
"mx": {
"status": "pass",
"records": ["alt1.aspmx.l.google.com"]
},
"blocklists": {
"status": "clean",
"checked": 15,
"listed": 0
},
"recommendations": [
{
"type": "improvement",
"message": "Consider upgrading DMARC policy to 'reject'"
}
]
}